14.04: Nvidia Prime is unable to switch to the Nvidia card

Bug #1310023 reported by Tore Bergebakken on 2014-04-19
208
This bug affects 42 people
Affects Status Importance Assigned to Milestone
nvidia-prime (Ubuntu)
Medium
Alberto Milone
ubuntu-drivers-common (Ubuntu)
High
Alberto Milone
Trusty
High
Alberto Milone

Bug Description

SRU Request

On some systems bbswitch requires the "skip_optimus_dsm=1" option in order to load properly. So far we have dealt with this problem with system specific quirks based on DMI information. This some times gives us false positives or doesn't cover all systems (it's hard to quirk all systems). We should simply try with and without that option and use whatever works best for the system. This should cover all cases with no need for additional quirks.

[Impact]
 * Loading bbswitch with the wrong option causes the module to fail from loading which, in turn, prevents hybrid graphics from working properly.

[Test Case]
 * Install the nvidia binary driver, reboot, and check that the NVIDIA GPU is enabled (attach your /var/log/gpu-manager.log)
    - Expected: the NVIDIA GPU is enabled.
    - Bad behavior: the system switches back to the intel driver and the NVIDIA GPU is not used.

[Regression Potential]
 * Low. Systems that currently work will keep working as usual, the ones that currently fail should finally work.

[Other Info]
 * N/A

--

I did a fresh install of 14.04 the day it was released. I use a XPS 15z laptop form Dell with hybrid graphics (Intel HD 3000 (probably) and Nvidia Geforce GT 525M). Booting doesn't work out of the box, but by setting
GRUB_CMDLINE_LINUX_DEFAULT="acpi_backlight=vendor dell_laptop.backlight=0 quiet splash"
in /etc/default/grub it works. acpi=off when installing, removed that from the grub file when installed.

I expected that the Prime feature introduced in kernel 3.12 (kernel 3.13.x here) would let me switch between the Intel and Nvidia cards as i like, instead of using Bumblebee, which doesn't work properly with everything. I've installed and tried both the nvidia-331 and nvidia-304 drivers. Exactly the same result from both.

Attempting to switch to the Nvidia card in nvidia-settings (tried on almost all of the drivers available, including 331.38) resulted in an error message, in a new window, with no text.
prime-switch in terminal gives this output: Segmentation fault (core dumped)
Sudoing the process gives no output at all. No graphical performance boost either, still the Intel card...

sudo prime-select nvidia gives this output:
Error: alternatives are not set up properly
Error: nvidia mode can't be enabled

I've also tried Bumblebee (not PPA) a few times, but it's also unable to switch.

I'm able to use the Intel card temporary, but I would really like to be able to use the full power of my computer...

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: nvidia-prime 0.6.2
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CurrentDesktop: Unity
Date: Sat Apr 19 20:52:42 2014
InstallationDate: Installed on 2014-04-17 (1 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
SourcePackage: nvidia-prime
UpgradeStatus: No upgrade log present (probably fresh install)

Tore Bergebakken (toreb) wrote :
Tore Bergebakken (toreb) wrote :

Okay, somehow I think it switched by itself..
In the Nvidia settings it still says it's using the Intel card, but it seems that the Nvidia card is in use.

I dualboot Ubuntu and Windows 7. After playing Portal 2 a bit over there, I turned the computer off and then booted into Ubuntu.
I tried to log out after attempting to switch card, with the error message still being shown when i logged out.
It must have worked in a way. Minecraft SEEMS to run as fast as it did on 12.04 when using Bumblebee. I'll be checking out a few more things, just to be sure, but I think this might have solved my problem partially. The settings say that I'm using the Intel card, but I don't think so. Hope you understand this mess of a text.

Tore Bergebakken (toreb) wrote :

Okay, sorry, now I don't think it did.

Tore Bergebakken (toreb) wrote :

Or maybe... I'm not quite sure

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-prime (Ubuntu):
status: New → Confirmed
sfc (sfc-0) wrote :

Same here.
Using HD3000 and GT555M.
When firstly installed nvidia-prime, the nvidia-settings show correct setting of using Nvidia card.
But when I switched to integrated HD3000 and relogined, the discrete card is still working (laptop became really hot) and I cannot switch back to integrated card. After reboot the discrete card even disappeared from lspci and still working.

prime-select gives the same error:
Error: alternatives are not set up properly
Error: nvidia mode can't be enabled

Bumblebee works well.

Ubuntu 14.04
nvidia-prime 0.6.2 with nvidia-331
kernel 3.13.0

Seems like it can't find the nvidia one. Bumblebee also said couldn't find secondary GPU. I've tried following the wiki for the fix, but with no success. I then purge bumblebee and insalled nvidia-prime, but it gave me error.

Tore Bergebakken (toreb) wrote :

Okay:
The Bumblebee version in the USC didn't work for me, but the PPA does...
Think I'll stick to that solution until Prime gets fixed.

hedwin koning (hedwin-koning) wrote :

Have a similar problem.

After debugging the prime-select code I noticed the alternatives found are both 'mesa'
and this leeds the code to return either unknown" when doing a query
or "Error: alternatives are not set up properly" when trying to select either nvidia or intel.

I attached the result of "/usr/bin/update-alternatives --query x86_64-linux-gnu_gl_conf" hope that
it helps in getting a solution to the problem.

hedwin koning (hedwin-koning) wrote :
Nytrilik (nytrilik) wrote :

Using bumblebee and nvidia-prime could be the issue > "Error: alternatives are not set up properly" ????

If prime-nvidia alone, still doesn't work, check this link. It works great for me.

http://forum.ubuntu-fr.org/viewtopic.php?pid=16696581#p16696581

Tore Bergebakken (toreb) wrote :

I didn't use Bumblebee and Prime at the same time, so that can't be the problem.
The solution you propose might work, but I don't think I'll try it unless I get tired of Bumblebee. Sorry about that.

Alberto Milone (albertomilone) wrote :

first of all, make sure to remove the bumblebee packages with sudo apt-get --purge remove

Then please attach your /var/log/Xorg.0.log, dmesg, and your /var/log/gpu-manager.log.

Changed in nvidia-prime (Ubuntu):
status: Confirmed → Incomplete
Renato (hellnatov) wrote :

Exactly the same error for me. I'm using Ubuntu 14.04 in a Dell Inspiron 14R 5421. I have a Nvidia GeForce 730M.

Renato (hellnatov) wrote :

At least for now, a work around for me was to use bumblebee + primus following this guide:
http://www.muktware.com/2013/12/install-nvidia-331-bumblebee-optimus-cards/18271

sfc (sfc-0) wrote :

Today I purged bumblebee and installed nvidia-prime again and found the solution.
The key is DO NOT REBOOT after changing video card in nvidia-settings. If you want to reboot right after the change, you MUST LOGOUT AND LOGIN then reboot, or, at least on my laptop, the discrete card will disappear from lspci and cannot be switched.
Purging nvidia-prime and a shutdown will recover the discrete card.

nvidia-prime 0.6.2
Ubuntu 14.04
kernel 3.13-0-24-generic
nvidia-331 331.38-0ubuntu7

kl1234 (kl1234) wrote :

I have same error sometimes and I have to reboot.

$ sudo prime-select nvidia
Error: alternatives are not set up properly
Error: nvidia mode can't be enabled

Linux 3.13.0-24-generic
nvidia-prime 0.6.2
nvidia-331 331.38-0ubuntu7
Ubuntu 14.04
lightdm (1.10.0-0ubuntu3) trusty

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF117M [GeForce 610M/710M/820M / GT 620M/625M/630M/720M] (rev ff)

Alberto Milone (albertomilone) wrote :

@krelx0: did you install the driver using the nvidia installer?

@sfc: that sounds like LP: #1316095

kl1234 (kl1234) wrote :

@Alberto:
I installed it from Ubuntu-Control-Center. The problem happen sometimes, I've switched three times today and the switcher works fine. I don't know the reason for that behavior.
Thanks.
Have Ubuntu a wiki for how can I add rules with prime? (Sorry for this ask here but I can not find information about)

Alberto Milone (albertomilone) wrote :

@krelx0: I'm not sure what you mean by "adding rules with prime"

hamish (hamish-b) wrote :
Download full text (5.1 KiB)

Hi, I'm seeing the same thing on a fresh install of xubuntu 14.04. Once it was installed I did the "search for restricted drivers" thing and picked the top nvidia choice on the list: 331.38-0ubuntu7

In nvidia-settings if I try to switch away from Intel I get an empty pop up with just a no-entry road sign graphic and [Ok] button.

from the command line is:
"""
** Message: PRIME: Requires offloading
** Message: PRIME: is it supported? yes
"""

when nvidia-settings starts, and
"""
ERROR:
"""

when I try to click on NVIDIA (Performance Mode) when it asks which GPU I'd like to use.

Interestingly, `nvidia-detector` returns "none".

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation G94 [GeForce 9600 GT] (rev a1)

my setup is 3 monitors, two being driven by the Intel on chip-HD, and the third being driven by the GeForce. I never did get the third monitor working with 12.04, but it is dual-boot with Windows7 and in Windows it all three work fine.

A month or two back I booted the same system with a either a 14.04 beta1 or Mint live USB stick and all three monitors came to life in linux for the first time, so I'm quite hopeful that the new linux kernel is capable of good things.

I never installed bumblebee, and 'dpkg -l' shows it listed as ^"un". Would reminants of it have been pulled in during install so it would need a --purge anyway?

`lsmod` shows that the 'nvidia' kernel module is loaded.

some of dmesg:
   11.293526] nvidia: module license 'NVIDIA' taints kernel.
[ 11.293528] Disabling lock debugging due to kernel taint
[ 11.293601] mei_me 0000:00:16.0: irq 47 for MSI/MSI-X
[ 11.296345] nvidia: module verification failed: signature and/or required key missing - tainting kernel
[ 11.299871] nvidia 0000:01:00.0: enabling device (0000 -> 0003)
[ 11.299944] vgaarb: device changed decodes: PCI:0000:01:00.0,olddecodes=io+mem,decodes=none:owns=none
[ 11.300129] [drm] Initialized nvidia-drm 0.0.0 20130102 for 0000:01:00.0 on minor 0
[ 11.300135] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 331.38 Wed Jan 8 19:32:30 PST 2014
[ 11.300823] [drm] Memory usable by graphics device = 2048M
[ 11.306653] WARNING! power/level is deprecated; use power/control instead
[ 11.350366] i915 0000:00:02.0: irq 48 for MSI/MSI-X
[ 11.350373] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[ 11.350374] [drm] Driver supports precise vblank timestamp query.
[ 11.374521] [drm] Wrong MCH_SSKPD value: 0x20100406
[ 11.374521] [drm] This can cause pipe underruns and display issues.
[ 11.374521] [drm] Please upgrade your BIOS to fix this.
[ 11.495669] fbcon: inteldrmfb (fb0) is primary device
...
[ 11.825261] Console: switching to colour frame buffer device 210x65
[ 11.827757] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[ 11.827758] i915 0000:00:02.0: registered panic notifier
[ 11.830828] ACPI: Video Device [GFX0] (multi-head: yes rom: no post: no)
[ 11.831006] acpi device:58: registered as cooling_device14
[ 11.831047] input: Video Bus as /devices/LNXSYSTM:00/d...

Read more...

hamish (hamish-b) wrote :
hamish (hamish-b) wrote :
Changed in nvidia-prime (Ubuntu):
status: Incomplete → Confirmed
hamish (hamish-b) wrote :

another hmmm from the X.org log:

"""
[ 726.531] (II) LoadModule: "nvidia"
[ 726.532] (WW) Warning, couldn't open module nvidia
[ 726.532] (II) UnloadModule: "nvidia"
[ 726.532] (II) Unloading nvidia
[ 726.532] (EE) Failed to load module "nvidia" (module does not exist, 0)
[ 726.532] (II) LoadModule: "nouveau"
[ 726.532] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 726.532] (II) Module nouveau: vendor="X.Org Foundation"
[ 726.532] compiled for 1.15.0, module version = 1.0.10
[ 726.532] Module class: X.Org Video Driver
[ 726.532] ABI class: X.Org Video Driver, version 15.0
"""

Hamish

hamish (hamish-b) wrote :

[sorry for the flurry of speparate posts]

$ dpkg -l | grep nvidia
ii nvidia-304 304.116-0ubuntu0.0.1 NVIDIA binary Xorg driver, kernel module and VDPAU library
ii nvidia-common 1:0.2.44.2 Find obsolete NVIDIA drivers
ii nvidia-current 304.116-0ubuntu0.0.1 Transitional package for nvidia-current
ii nvidia-settings 331.20-0ubuntu0.0.1 Tool for configuring the NVIDIA graphics driver
ii nvidia-settings-304 331.20-0ubuntu0.0.1 Transitional package for nvidia-settings

kl1234 (kl1234) wrote :

@Alberto:
I am sorry.
e.g. With bumblebee I could run some program with nvidia while the system works with Intel. Also in Windows , I can choose what program or game runs with nvidia. Nvidia-settings is not clear.
Thanks.

Alberto Milone (albertomilone) wrote :

nvidia-settings complains because nvidia is not enabled. This happens because we need a quirk for your system for bbswitch:

[ 726.739578] bbswitch: cannot find ACPI handle for VGA device 0000:01:00.0
[ 726.739580] bbswitch: No discrete VGA device found
[ 736.749874] init: Failed to spawn nvidia-persistenced main process: unable to execute: No such file or directory

please attach the output of the "sudo dmidecode" command.

hamish (hamish-b) wrote :

output of dmidecode attached.

thanks,
Hamish

Loris Zinsou (nepenthes) wrote :

I have exactly the same issue on my HD4000 + nvidia GT 740 laptop.

Simon Sirius (meleagrosy) wrote :

I have the same problem with my Futjitsu Lifebook AH-531/GFO on Kubuntu 14.04.

lspci | grep 'VGA'
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 525M] (rev a1)

dmesg | grep -E 'bbswitch|nvidia'
[ 3.047772] nvidia: module license 'NVIDIA' taints kernel.
[ 3.126575] nvidia: module verification failed: signature and/or required key missing - tainting kernel
[ 3.132672] nvidia 0000:01:00.0: enabling device (0000 -> 0003)
[ 3.138900] [drm] Initialized nvidia-drm 0.0.0 20130102 for 0000:01:00.0 on minor 1
[ 4.045734] bbswitch: version 0.7
[ 4.045749] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[ 4.045756] bbswitch: Found discrete VGA device 0000:01:00.0: \_SB_.PCI0.PEG0.PEGP
[ 4.045815] bbswitch: failed to evaluate \_SB_.PCI0.GFX0._DSM {0xA0,0xA0,0x95,0x9D,0x60,0x00,0x48,0x4D,0xB3,0x4D,0x7E,0x5F,0xEA,0x12,0x9F,0xD4} 0x102 0x0 {0x00,0x00,0x00,0x00}: AE_NOT_FOUND
[ 4.045817] bbswitch: No suitable _DSM call found.
[ 14.057221] init: Failed to spawn nvidia-persistenced main process: unable to execute: No such file or directory

Simon Sirius (meleagrosy) wrote :

dmesg

Simon Sirius (meleagrosy) wrote :

gpu-manager.log

Simon Sirius (meleagrosy) wrote :

Xorg.0.log

Marc (schuetz-marc) wrote :

Same problems here.

Dell XPS 15 (9530)
Nvidia GT750m

###
➜ nvidia-settings
** Message: PRIME: Requires offloading
** Message: PRIME: is it supported? yes
➜ sudo prime-select nvidia
Error: alternatives are not set up properly
Error: nvidia mode can't be enabled
➜ prime-select query
unknown
➜ nvidia-detector
none

Marc (schuetz-marc) wrote :

Description: Ubuntu 14.04 LTS
Release: 14.04
Codename: trusty

➜ uname -a
Linux xps 3.13.0-27-generic #50-Ubuntu SMP Thu May 15 18:06:16 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

➜ dpkg -l | grep nvid
ii nvidia-331-updates 331.38-0ubuntu7 amd64 NVIDIA binary driver - version 331.38
ii nvidia-cg-dev:amd64 3.1.0013-1 amd64 Cg Toolkit - GPU Shader Authoring Language (headers)
ii nvidia-cg-toolkit 3.1.0013-1 amd64 Cg Toolkit - GPU Shader Authoring Language
ii nvidia-common 1:0.2.91.4 amd64 transitional package for ubuntu-drivers-common
ii nvidia-cuda-dev 5.5.22-3ubuntu1 amd64 NVIDIA CUDA development files
ii nvidia-cuda-doc 5.5.22-3ubuntu1 all NVIDIA CUDA and OpenCL documentation
ii nvidia-cuda-gdb 5.5.22-3ubuntu1 amd64 NVIDIA CUDA GDB
ii nvidia-cuda-toolkit 5.5.22-3ubuntu1 amd64 NVIDIA CUDA toolkit
ii nvidia-libopencl1-331-updates 331.38-0ubuntu7 amd64 NVIDIA OpenCL Driver and ICD Loader library
ii nvidia-opencl-dev:amd64 5.5.22-3ubuntu1 amd64 NVIDIA OpenCL development files
rc nvidia-opencl-icd-304 304.117-0ubuntu1 amd64 NVIDIA OpenCL ICD
rc nvidia-opencl-icd-331 331.38-0ubuntu6 amd64 NVIDIA OpenCL ICD
ii nvidia-opencl-icd-331-updates 331.38-0ubuntu7 amd64 NVIDIA OpenCL ICD
ii nvidia-prime 0.6.2 amd64 Tools to enable NVIDIA's Prime
ii nvidia-profiler 5.5.22-3ubuntu1 amd64 NVIDIA Profiler for CUDA and OpenCL
ii nvidia-settings 331.38-0ubuntu0.0.1~xedgers~precise1 amd64 Tool for configuring the NVIDIA graphics driver
ii nvidia-visual-profiler 5.5.22-3ubuntu1 amd64 NVIDIA Visual Profiler

Tore Bergebakken (toreb) wrote :

Okay.
Sorry for not trying Prime again and therefore not giving proper debug information, but now it seems other people have reported the same problems. Thanks for that. Hope this will be fixed soon, anyway...

Alberto Milone (albertomilone) wrote :

@all: I think I can implement a fallback that doesn't require quirks, and that should fix this issue. I'll make some new packages for you to test soon.

Simon Sirius (meleagrosy) wrote :

this would be very welcome.

I noticed that my problem is slightly different from the others mentioned, since my dedicated GPU is found, but no suitable _DSM call is found:

[ 4.045815] bbswitch: failed to evaluate \_SB_.PCI0.GFX0._DSM {0xA0,0xA0,0x95,0x9D,0x60,0x00,0x48,0x4D,0xB3,0x4D,0x7E,0x5F,0xEA,0x12,0x9F,0xD4} 0x102 0x0 {0x00,0x00,0x00,0x00}: AE_NOT_FOUND

since I am new to reporting any bugs, I wanted to ask whether i should report my issue on
https://github.com/Bumblebee-Project/bbswitch/issues
as well or is this not necessary?

So nvidia-prime was working flawlessly with me until i installed vmware and open-vm packages then it stopped working , then i uninstalled open-vm packages and now it works again

description: updated
affects: nvidia-prime (Ubuntu) → ubuntu-drivers-common (Ubuntu)
Changed in ubuntu-drivers-common (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: Confirmed → In Progress
Changed in ubuntu-drivers-common (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Changed in ubuntu-drivers-common (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-drivers-common (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-prime (Ubuntu):
status: New → Invalid
Changed in nvidia-prime (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
no longer affects: nvidia-prime (Ubuntu)
no longer affects: nvidia-prime (Ubuntu Precise)
no longer affects: ubuntu-drivers-common (Ubuntu Precise)
no longer affects: nvidia-prime (Ubuntu Trusty)
Aditya M (adix-me) wrote :

Using Ubuntu 14.04, intel hd 3000, nvidia gt540m, same problem as above unable to switch from intel to nvidia, updated system still same bug,

sudo prime-select query
unknown

sudo prime-select nvidia
Error: alternatives are not set up properly
Error: nvidia mode can't be enabled

sudo cat /proc/acpi/bbswitch
0000:01:00.0 ON

dmesg | grep -E 'bbswitch|nvidia'
[ 9.854343] bbswitch: module verification failed: signature and/or required key missing - tainting kernel
[ 9.854498] bbswitch: version 0.7
[ 9.854504] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[ 9.854510] bbswitch: Found discrete VGA device 0000:01:00.0: \_SB_.PCI0.PEG0.PEGP
[ 9.854565] bbswitch: detected an Optimus _DSM function
[ 9.854574] bbswitch: Succesfully loaded. Discrete card 0000:01:00.0 is on
[ 22.177483] init: Failed to spawn nvidia-persistenced main process: unable to execute: No such file or directory

Alberto Milone (albertomilone) wrote :

@Adix: the update hasn't been approved yet, so it's kind of expected that no fix is available yet.

1) How did you install the nvidia driver?
2) Is bumblebee installed? (it shouldn't be)
3) please attach your /var/log/gpu-manager.log

Aditya M (adix-me) wrote :

Installed driver using : sudo apt-cache search nvidia-3* sudo apt-get install nvidia-331 nvidia-prime

Bumblebee and primus are not installed

Attached /var/log/gpu-manager.log

Alberto Milone (albertomilone) wrote :

Please type the following commands:

sudo update-alternatives --config x86_64-linux-gnu_gl_conf
sudo ldconfig -n
sudo update-initramfs -u

then reboot and see if it works

Aditya M (adix-me) wrote :

I tried the following commands, doesn't work after reboot still get:

sudo prime-select query
unknown

sudo cat /proc/acpi/bbswitch
cat: /proc/acpi/bbswitch: No such file or directory

I Have to manually load bbswitch as it has stopped starting at boot using:

sudo modprobe bbswitch to get sudo cat /proc/acpi/bbswitch 0000:01:00.0 ON

sudo update-alternatives --config x86_64-linux-gnu_gl_conf
There are 3 choices for the alternative x86_64-linux-gnu_gl_conf (providing /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf).

  Selection Path Priority Status
------------------------------------------------------------
  0 /usr/lib/nvidia-331/ld.so.conf 8604 auto mode
  1 /usr/lib/nvidia-331-prime/ld.so.conf 8603 manual mode
  2 /usr/lib/nvidia-331/ld.so.conf 8604 manual mode
* 3 /usr/lib/x86_64-linux-gnu/mesa/ld.so.conf 500 manual mode

Press enter to keep the current choice[*], or type selection number: (Tried with all the above selections)
update-alternatives: using /usr/lib/nvidia-331-prime/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in manual mode

sudo ldconfig -n
sudo update-initramfs -u
sudo reboot

Alberto Milone (albertomilone) wrote :

Please repeat what I suggested and attach your /var/log/gpu-manager.log again

Aditya M (adix-me) wrote :

Repeated all steps, attaching new log

Alberto Milone (albertomilone) wrote :

straight from the log: "Kernel Module is not loaded"

Please make sure the relevant kernel headers are installed and that the nvidia dkms module is built.

Changed in nvidia-prime (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-prime - 0.6.6

---------------
nvidia-prime (0.6.6) utopic; urgency=medium

  * prime-select:
    - Simplify the logic for enablement. The simplified logic
      should also be more robust and try harder instead of
      complaining and aborting early (LP: #1310023).
      This is now possible thanks to the fact that we allow
      installing only one binary driver at the time. This is
      not the case in Ubuntu <= 12.04.
 -- Alberto Milone <email address hidden> Thu, 19 Jun 2014 15:48:06 +0200

Changed in nvidia-prime (Ubuntu):
status: In Progress → Fix Released
Aditya M (adix-me) wrote :

Purging all packages related to nvidia-331, nvidia-prime, bbswitch & Re-installing nvidia-331-updates, nvidia-prime followed by the commands you provided, Solved the issue thanks.

Hello Tore, or anyone else affected,

Accepted ubuntu-drivers-common into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.2.91.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-drivers-common (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Simon Sirius (meleagrosy) wrote :

Kubuntu 14.04:
After installing

http://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.2.91.6

and

apt-get purge nvidia*
apt-get install nvidia-331

for the first time, update-initramfs triggers were not processed according to apt-get console output.
After rebooting nouveau driver was loaded.

As suggested above:
sudo ldconfig -n
sudo update-initramfs -u
sudo reboot

fixed the problem and I was able to switch between intel and nvidia gpu without problems.

On subsequent reinstallations with:
apt-get purge nvidia*
apt-get install nvidia-331

update-initramfs were processed and didn't need to be executed manually.

waffen (mlacunza) wrote :

Bug cofirmed in Lenovo Ideapad S410p with NVIDIA GE 720M with Ubuntu 14.04 and nvidia 331

All the previous reports are the same here.

I dont have Bumblebee

I have nvidia-prime (0.6.2) how can I install the 0.6.6 version?

I cant install http://launchpad.net/ubuntu/+source/ubuntu-drivers-common/1:0.2.91.6

Error:
mario@mario-IdeaPad-S410p:~/Descargas/programas/ubuntu-drivers-common$ sudo python setup.py install
Package pciaccess was not found in the pkg-config search path.
Perhaps you should add the directory containing `pciaccess.pc'
to the PKG_CONFIG_PATH environment variable
No package 'pciaccess' found
make: se ingresa al directorio «/home/mario/Descargas/programas/ubuntu-drivers-common/share/hybrid»
gcc -o gpu-manager gpu-manager.c -g -Wall
gpu-manager.c:50:23: fatal error: pciaccess.h: No existe el archivo o el directorio
 #include <pciaccess.h>
                       ^
compilation terminated.
make: *** [build] Error 1
make: se sale del directorio «/home/mario/Descargas/programas/ubuntu-drivers-common/share/hybrid»
Traceback (most recent call last):
  File "setup.py", line 11, in <module>
    subprocess.check_call(["make", "-C", "share/hybrid", "all"])
  File "/usr/lib/python2.7/subprocess.py", line 540, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['make', '-C', 'share/hybrid', 'all']' returned non-zero exit status 2

mario@mario-IdeaPad-S410p:~/Descargas/programas/ubuntu-drivers-common$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09)

My nvidia card is not showed

waffen (mlacunza) wrote :

I can handled the installation but now I have this error message and I cant found the way to fix it:
mario@mario-IdeaPad-S410p:/var/lib/dpkg/info$ sudo apt-get install nvidia-331
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
nvidia-331 ya está en su versión más reciente.
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.
1 no instalados del todo o eliminados.
Se utilizarán 0 B de espacio de disco adicional después de esta operación.
¿Desea continuar? [S/n] s
Configurando nvidia-331 (331.79-0ubuntu1~xedgers14.04.1) ...
Traceback (most recent call last):
  File "/usr/local/bin/quirks-handler", line 5, in <module>
    pkg_resources.run_script('ubuntu-drivers-common==0.0.0', 'quirks-handler')
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 528, in run_script
    self.require(requires)[0].run_script(script_name, ns)
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1394, in run_script
    execfile(script_filename, namespace, namespace)
  File "/usr/local/lib/python2.7/dist-packages/ubuntu_drivers_common-0.0.0-py2.7.egg/EGG-INFO/scripts/quirks-handler", line 26, in <module>
    import Quirks.quirkapplier
  File "/usr/local/lib/python2.7/dist-packages/ubuntu_drivers_common-0.0.0-py2.7.egg/Quirks/quirkapplier.py", line 26, in <module>
    import xkit.xutils
ImportError: No module named xkit.xutils
dpkg: error al procesar el paquete nvidia-331 (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 1
Se encontraron errores al procesar:
 nvidia-331
E: Sub-process /usr/bin/dpkg returned an error code (1)

waffen (mlacunza) wrote :

I can figured out how to fix all, purge and reinstall a clean version and the same bug again

waffen (mlacunza) wrote :

this is my gpu-manager.log:
log_file: /var/log/gpu-manager.log
last_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
new_boot_file: /var/lib/ubuntu-drivers-common/last_gfx_boot
Found "/dev/dri/card0", driven by "i915"
output 0:
 eDP connector
Number of connected outputs for /dev/dri/card0: 1
Does it require offloading? yes
grep dmesg status 256
dmesg status 256 == 0? No
grep dmesg status 256
dmesg status 256 == 0? No
Is nvidia loaded? no
Was nvidia unloaded? no
Is fglrx loaded? no
Was fglrx unloaded? no
Is intel loaded? yes
Is radeon loaded? no
Is nouveau loaded? no
Vendor/Device Id: 8086:a16
BusID "PCI:0@0:2:0"
Is boot vga? yes
Vendor/Device Id: 10de:1140
BusID "PCI:4@0:0:0"
Is boot vga? no
Error: can't access /sys/bus/pci/devices/0000:04:00.0/driver
The device is not bound to any driver. Skipping...
last cards number = 1
Has amd? no
Has intel? yes
Has nvidia? no
How many cards? 1
Has the system changed? No
main_arch_path x86_64-linux-gnu, other_arch_path i386-linux-gnu
Current alternative: /usr/lib/x86_64-linux-gnu/mesa/ld.so.conf
Is nvidia enabled? no
Is fglrx enabled? no
Is mesa enabled? yes
Is pxpress enabled? no
Is prime enabled? no
Is nvidia available? yes
Is fglrx available? no
Is mesa available? yes
Is pxpress available? no
Is prime available? yes
Single card detected
Nothing to do
No change - nothing to do

waffen (mlacunza) wrote :

Hi,
I want to report this because I think the devs can take some conclusions.

Tired with the problem I proceed with a new clean install in my laptop Lenovo Ideapad S410p Nvidia GT 720M (format "/" and "/boot" keep my "/home" the same) after the process I run the apt-get update and install new packages, after I put ON Cannonical partners repos and keep OFF "trusty-propossed"

Now my Nvidia works perfect! I install nvidia from Ubuntu sources (not xorg-edgers) with this:

mario@mario-IdeaPad-S410p:~$ sudo apt-get install nvidia-331 nvidia-settings nvidia-prime

mario@mario-IdeaPad-S410p:~$ uname -a
Linux mario-IdeaPad-S410p 3.13.0-30-generic #54-Ubuntu SMP Mon Jun 9 22:45:01 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Nvidia settings works fine show me full info

Previous installation: I can see some problems in the normal works for Thunderbird and Firefox, lags for the hole graphic system, some screens run slowly and suddenly black screen for a windows minimized like you can see in the attachment (with Ctrl+tab I can restore normal work for it) .

Now all looks very fine no lags normal behavior, TB and FF work very smooth, so for me the new clean install fixed all.
Let me know if you need more info.

hamish (hamish-b) wrote :

Hi Alberto, Brian,

I upgraded ubuntu-drivers-common to version 1:0.2.91.6 from trusty-proposed, but the only candidate for nvidia-prime available is still version 0.6.2. Version 0.6.6 only appears in the repos for oneric.

So Alberto's nvidia-prime package also needs acceptance into trusty-proposed, not just ubuntu-drivers-common.

for the record, I tried, ubuntu-drivers-common by itself doesn't fix it. :-)

thanks,
Hamish

tags: added: verification-failed
removed: verification-needed
hamish (hamish-b) wrote :

s/oneric/utopic/, I'm living in the past.

Argh, facing the same situation here. Seems that ubuntu-drivers-common 1:0.2.91.6 won't fix it as mentioned above, so I'll keep 1:0.2.91.5 untill nvidia-prime 0.6.6 appears on the upgrade list.

Btw, using 14.04 on a Dell Vostro 5470 here. :-)

Guys, seems that using

sudo update-alternatives --config x86_64-linux-gnu_gl_conf

and selecting an option (not the mesa one) and *not rebooting* makes prime-select and nvidia-settings work again, but *I'm not sure it changed something*, just it can query and select between nvidia and intel.

Alberto Milone (albertomilone) wrote :

@Hamish, Eustaquio: please try to reproduce the problem and attach your /var/log/gpu-manager.log

tags: added: verification-needed
removed: verification-failed
hamish (hamish-b) wrote :
Download full text (3.6 KiB)

Hi,

gpu-manager.log attached.

trusty$ dpkg -l | grep -E 'nvidia-|ubuntu-drivers-common'
ii nvidia-331 331.38-0ubuntu7 amd64
ii nvidia-libopencl1-331 331.38-0ubuntu7 amd64
ii nvidia-opencl-icd-331 331.38-0ubuntu7 amd64
ii nvidia-prime 0.6.2 amd64
ii nvidia-settings 331.20-0ubuntu8 amd64
ii ubuntu-drivers-common 1:0.2.91.6 amd64

/var/log/gpu-manager.log:
1st try: bbswitch without quirks
Loading bbswitch with "load_state=-1 unload_state=1" parameters
2nd try: bbswitch with quirks
Loading bbswitch with "load_state=-1 unload_state=1 skip_optimus_dsm=1" parameters
Error: can't load bbswitch
Selecting mesa

X.log.0:
[ 18.641] (II) LoadModule: "nvidia"
[ 18.641] (WW) Warning, couldn't open module nvidia
[ 18.641] (II) UnloadModule: "nvidia"
...
[ 18.653] (II) LoadModule: "nvidia"
[ 18.653] (WW) Warning, couldn't open module nvidia
[ 18.653] (II) UnloadModule: "nvidia"
[ 18.653] (II) Unloading nvidia
[ 18.653] (EE) Failed to load module "nvidia" (module does not exist, 0)
[ 18.653] (II) LoadModule: "nouveau"
[ 18.653] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 18.653] (II) Module nouveau: vendor="X.Org Foundation"
[ 18.653] compiled for 1.15.0, module version = 1.0.10
[ 18.653] Module class: X.Org Video Driver
[ 18.653] ABI class: X.Org Video Driver, version 15.0
[ 18.653] (II) UnloadModule: "nouveau"
[ 18.653] (II) Unloading nouveau
[ 18.653] (II) Failed to load module "nouveau" (already loaded, 0)

`nvidia-settings` still fails with:
"""
** Message: PRIME: Requires offloading
** Message: PRIME: is it supported? yes

ERROR:
"""

dmesg:
[ 13.189063] nvidia: module license 'NVIDIA' taints kernel.
[ 13.189065] Disabling lock debugging due to kernel taint
[ 13.191827] nvidia: module verification failed: signature and/or required key missing - tainting kernel
[ 13.195308] nvidia 0000:01:00.0: enabling device (0000 -> 0003)
[ 13.195360] vgaarb: device changed decodes: PCI:0000:01:00.0,olddecodes=io+mem,decodes=none:owns=none
[ 13.195383] snd_hda_intel 0000:00:1b.0: irq 48 for MSI/MSI-X
[ 13.195463] [drm] Initialized nvidia-drm 0.0.0 20130102 for 0000:01:00.0 on minor 0
[ 13.195469] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 331.38 Wed Jan 8 19:32:30 PST 2014
...
[ 17.240234] init: failsafe main process (768) killed by TERM signal
[ 17.693825] bbswitch: version 0.7
[ 17.693830] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[ 17.693844] bbswitch: cannot find ACPI handle for VGA device 0000:01:00.0
[ 17.693845] bbswitch: No discrete VGA device found
[ 17.706786] bbswitch: version 0.7
[ 17.706789] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[ 17.706791] bbswitch: cannot find ACPI handle for VGA device 0000:01:00.0
[ 17.706792] bbswitch: No discrete VGA device found
[ 18.655591] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 27.700868] init: Failed to spawn nvidia-persistenced main process: unable to execute: No such file or directory
[ 37.705234] init: Failed to spawn nvidia-persistenced main process: unable...

Read more...

hamish (hamish-b) wrote :

dmidecode shows no change from the version in comment 28; more from dmesg:

"""
[ 37.705234] init: Failed to spawn nvidia-persistenced main process: unable to execute: No such file or directory
[ 1046.161161] bbswitch: version 0.7
[ 1046.161165] bbswitch: Found integrated VGA device 0000:00:02.0: \_SB_.PCI0.GFX0
[ 1046.161168] bbswitch: cannot find ACPI handle for VGA device 0000:01:00.0
[ 1046.161170] bbswitch: No discrete VGA device found
"""

thanks,
Hamish

Alberto Milone (albertomilone) wrote :

@Hamish: that is a problem with bbswitch:

[ 17.706791] bbswitch: cannot find ACPI handle for VGA device 0000:01:00.0
[ 17.706792] bbswitch: No discrete VGA device found

Please file a bug report against bbswitch.

hamish (hamish-b) wrote :

Alberto wrote:
> that is a problem with bbswitch:
...
> Please file a bug report against bbswitch.

submitted as launchpad bug #1338404

thanks,
Hamish

hamish (hamish-b) wrote :

> Alberto wrote:
>> that is a problem with bbswitch:
>> ...
>> Please file a bug report against bbswitch.
>
> submitted as launchpad bug #1338404

unfortunately, the new bug appears to have fallen on deaf ears. just crickets.

Hamish

Alberto Milone (albertomilone) wrote :

@hamish: please follow the instructions in the "Reporting bugs" section on the following page, so that upstream can investigate the issue:

https://github.com/Bumblebee-Project/bbswitch

hamish (hamish-b) wrote :

@Alberto: thanks for the link. acpi dump info now posted to (hopefully) the correct tickets.

regards,
Hamish

hamish (hamish-b) wrote :

Alberto wrote:
> > Please file a bug report against bbswitch.

Hamish wrote:
> submitted as launchpad bug #1338404

on that ticket, Peter Wu wrote:
> bbswitch is a module for Optimus laptops, not desktops (except an
> odd, single all-in-one). The i7-3770 is a desktop processor, so
> bbswitch will not work here.

and closed it as invalid. (fair enough)
I guess the bbswitch package should be removed from this system which does not have the target hardware.
(in that case nvidia-prime would need to be removed too since it's a dependency)

`nvidia-settings` still fails with:
"""
** Message: PRIME: Requires offloading
** Message: PRIME: is it supported? yes

ERROR:
"""

any hints on what to try next? Or am I barking up the wrong tree here? Is PRIME solely meant for switching between video cards A and B for power/perfomance switching on a laptop, instead of having video cards A and B running at the same time as part of a multi-head desktop workstation setup like I'm trying to do?

even if so, more than a blank error message would be nice to save us all some time.

ah, perhaps a clue to my confusion:

The X/Config/HybridGraphics page in the Ubuntu Wiki does not define what "hybrid" means, and indicates that nvidia-prime is the right thing to use for multihead workstations with both integrated and discrete video, at least by my reading of the introduction. (I'd also note the wiki is out of date with respect to the nvidia-common package, which has now been replaced and is just a wrapper package depending on the new package name)
  https://wiki.ubuntu.com/X/Config/HybridGraphics

Digging deeper, an older wiki page is mentioning laptops specifically wrt "hybrid", so in that light makes some sense.
  https://help.ubuntu.com/community/HybridGraphics

If this isn't the right venue, any tips on where I should go from here?
Would I be best to follow up on this error from X.log.0?

[ 18.653] (II) LoadModule: "nvidia"
[ 18.653] (WW) Warning, couldn't open module nvidia
[ 18.653] (II) UnloadModule: "nvidia"
[ 18.653] (II) Unloading nvidia
[ 18.653] (EE) Failed to load module "nvidia" (module does not exist, 0)

thanks for all your help,
Hamish

hamish (hamish-b) wrote :

Hamish wrote:
> The X/Config/HybridGraphics page in the Ubuntu Wiki does not define what "hybrid"
> means, and indicates that nvidia-prime is the right thing to use for multihead
> workstations with both integrated and discrete video, at least by my reading of
> the introduction.
...
> https://wiki.ubuntu.com/X/Config/HybridGraphics

specifically the "Hardware Requirements" section, which could be interpreded as covering desktop setups as well.

hamish (hamish-b) wrote :

strangely a custom symlink for nvidia_drv.so in /usr/lib/xorg/modules/drivers/ and changing
  sudo update-alternatives --config x86_64-linux-gnu_gl_conf
from nouveau to nvidia-331 kept on being undone in the filesystem. Quite unexpected for
those changes to undo themselves. ?!

Anyway, after removing the nvidia-prime and bbswitch packages from my system that's no
longer happening, so I guess I can blame them. :)

I still don't have multi-head working but at least the nvidia driver is found in Xorg.0.log now, so
I guess the rest is up to me, xorg.conf, and Xinerama or modern equivalent, and I can stop
spamming this ticket.

regards

Alberto Milone (albertomilone) wrote :

@Hamish: I should probably make nvidia-settings more robust so that it handles cases such as yours.

I wouldn't expect bbswitch to work on a desktop, although graphics offloading should still work. Right now, if bbswitch is not available or it doesn't work, the gpu-manager will change the alternatives and select mesa as a fallback.

I should make the gpu-manager a bit more tolerant, so that it will still try to do the offloading when bbswitch is not supported (or not available). I've filed LP: #1349282 and I'll work on it. This should cover your specific use case.

hamish (hamish-b) wrote :

fyi I've updated the hybrid wiki page to add (ie clone) a section in the intro explaining it's referring to the dual either-or GPU situation in laptops not the dual cooperative-GPUs multihead desktop situation.
For my multi-head troubles I think from here I just have to experiment with Xinerama and try and get xrandr to recognise everything.

cheers

Mike (skwawks) wrote :

sorry for chiming in here. I am on Mint 17 and experiencing these issues with my GTX 850m

I have tried as much as I can from this thread,
and now am faced with "

ERROR: nvidia-settings could not find the registry key file. This file should
       have been installed along with this driver at
       /usr/share/nvidia/nvidia-application-profiles-key-documentation. The
       application profiles will continue to work, but values cannot be
       preopulated or validated, and will not be listed in the help text.
       Please see the README for possible values and descriptions.
"

when trying to run nvidia-settings.
I am running linux mint 17, with geforce GTX 850m, and the latest package available for prime is 0.6.2. can anyone shed some light on this issues

Alberto Milone (albertomilone) wrote :

@Mike: that's a separate issue. Please file a bug report against nvidia-settings.

Daniel Manrique (roadmr) wrote :

Hi,

I was asked to test the proposed fix. I did so by installing Ubuntu 14.04 desktop on a Dell Latitude 3440 which has an Intel Haswell chipset, as well as an NVidia GK208M (Geforce GT 740M), PCI ID 10de:1292.

With the clean system as described, I enabled -proposed from software centre. Then I did apt-get update and apt-get install ubuntu-drivers-common (it installed version 1:0.2.91.6).

after that I used software centre's "additional drivers" tab to install "NVidia binary driver - nvidia-331-updates".

THen I rebooted and checked which driver is in use, it's "nvidia" and not "nouveau" as previously.

I'm attaching my gpu-manager.log after I did all this.

I'm unsure if this testing is adequate; but my system is used for testing only so I'm happy to retry and/or reinstall anything needed.

Alberto Milone (albertomilone) wrote :

Thanks for testing, Daniel. The log shows that the new code worked and did not regress.

Brian Murray (brian-murray) wrote :

@Alberto - should the bug be marked verification-done then?

Alberto Milone (albertomilone) wrote :

@Brian: yes please

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-drivers-common - 1:0.2.91.6

---------------
ubuntu-drivers-common (1:0.2.91.6) trusty-proposed; urgency=medium

  * UbuntuDrivers/detect.py, debian/tests/system, tests/ubuntu_drivers.py:
    - Do not autoinstall the broadcom driver. The open driver should be a
      better solution now (LP: #1306928), as the binary driver prevents
      a number of systems from using the wireless card.
    - Autoinstall linux-firmware-nonfree. This will help now that we no
      longer autoinstall Broadcom's binary driver.
    - Fix the relevant tests now that linux-firmware-nonfree has replaced
      bcmwl.
  * gpu-manager.c, tests/gpu-manager.py:
    - Ignore CRT displays when using PRIME. This works around systems whose
      BIOS provides a ghost output (LP: #1296020).
    - Check that we don't remove xorg.confs on 1st boot (as per the
      previous SRU).
    - Try harder when loading bbswitch (LP: #1310023). If loading bbswitch
      fails try with or without the "skip_optimus_dsm=1" option. Also, make
      sure that we trim dmi resources or matching will give us false
      positives.
    - Switch to intel/SNA for optimus systems (LP: #1326257).
    - Make sure to unload nvidia-uvm or nvidia won't be
      unloaded.
    - Make sure to walk properly the /dev/dri dir. This
      prevents the program from stopping when, for example
      /dev/dri/card1 is available while /dev/dri/card0 is
      not.
 -- Alberto Milone <email address hidden> Fri, 06 Jun 2014 11:20:28 +0200

Changed in ubuntu-drivers-common (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-drivers-common has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

tags: added: nvidia
removed: nvidia-prime
Calan (calanduffy) wrote :

I was unable to switch to my Nvidia gtx 555m using prime indicator, bumblebee or manually through the nvidia server settings application. When changing with the command "$ prime-select nvidia" the terminal would show that the change occurred however I am positive this wasn't the case as I could not get a frame rate above 15 on a 64 emulator.
I managed to somehow fix this issue by doing the following: (quotations "" are only containing the contents of the commands I used, as none are used in them, so only enter whats inside them)

1.Remove primus, nvidia server settings and purge nvidia drivers:
"sudo apt-get remove --purge nvidia-*"

2.Install prime, prime indicator through the terminal
"sudo apt-get install nvidia-prime"
"sudo apt-get install prime-indicator
sysinfo with nvidia server settings as an add on through software centre

3. Install Nvidia driver 340.65 (http://ubuntuhandbook.org/index.php/2014/12/install-nvidia-340-65-ubuntu-1504/)

4. Change to Nvidia gpu using terminal command "sudo prime-select nvidia"

Note prime indicator and server settings both display that they're using Intel Integrated graphics however I get a solid 60 fps emulating, video's aren't laggy in general and what once was a black screen for some graphical programs now work fine.

ps I'm not sure if every install is necessary but I just listed what I did, I'm not experienced with Linux but no forums were helping me with my problem and I noticed a lot of people having the same issue. Sorry if this doesn't help you however I hope to ease your frustration as I did mine.

3DRaven (3draven) wrote :

Try reinstall bbswitch-dkms before update kernel or driver
Steps.
1. Purge all nvidia driver packages
2. Install nvidia nvidia-prime bbswitch-dkms

all works for me.

3DRaven (3draven) wrote :

Sorry! Try reinstall bbswitch-dkms AFTER update kernel or driver

Andrey (u-o-k-music) wrote :

Affected this bug on

Asus Transformer Flip TP500LN
Intel HD 4600, Nvidia GeForce 840m, Ubuntu 14.04 x64

sudo prime-select nvidia
Error: alternatives are not set up properly
Error: nvidia mode can't be enabled

Mike (michal-dybczak) wrote :

I have the same bug on mint 17.2 cinnamon 64 bit, ver. 2.6.13, kernel: 3.19.0-22-generic, card nvidia GTF108M (GeForce GT 635M).

After fresh install it all worked well, but system asked for updates in next days so I did. Because my card was running rather hot (60-70 degrees of Celsius) and depleted batter in 20 minutes (1-1,5 hour work time on windows 8.1), I updated kernel to the newest one from update manager. After I rebooted system, nvidia shows that default driver in power saving mode is turned on.

Attempt to switch back to nvidia results in some empty cloud message and nothing happens (default generic driver is again marked as on). However I noticed that computers is not heating any more and my battery life extended to 50 minutes. Graphic seems to be fine as far I can tell at the moment so I decided to let this problem go + I'm newbie in linux and I'm afraid that any attempts to fix it would only mess my installation. However it would be nice to be able to choose the drivers/card - at the moment I can't.

On 31-05-15 13:51:33, Andrey wrote:
> Affected this bug on
>
> Asus Transformer Flip TP500LN
> Intel HD 4600, Nvidia GeForce 840m, Ubuntu 14.04 x64
>
> sudo prime-select nvidia
> Error: alternatives are not set up properly
> Error: nvidia mode can't be enabled

Can you attach the output of the following command, please?

update-alternatives --display x86_64-linux-gnu_gl_conf

Mike (michal-dybczak) wrote :
Download full text (3.8 KiB)

Alberto Milone, I have exactly the same result after using 'sudo prime-select nvidia' as Andrey:
Error: alternatives are not set up properly
Error: nvidia mode can't be enabled

So I used the code 'update-alternatives --display x86_64-linux-gnu_gl_conf' and that what it showed me (sorry, it's not in English but I hope you will understand something from it, I give some explanation aside):

x86_64-linux-gnu_gl_conf - tryb ręczny
  dowiązanie obecnie wskazuje na /usr/lib/x86_64-linux-gnu/mesa/ld.so.conf [eng: linking currently shows on..]
/usr/lib/nvidia-346-prime/ld.so.conf - priorytet 8603
 podrzędne x86_64-linux-gnu_grub_fb_blacklist: /usr/share/nvidia-346/nvidia-346.grub-gfxpayload [eng. subordinate clause/coordinates?]
 podrzędne x86_64-linux-gnu_man_nvidiaxconfig.gz: /usr/share/man/man1/alt-nvidia-346-xconfig.1.gz
 podrzędne x86_64-linux-gnu_nvidia-debugdump: /usr/lib/nvidia-346/bin/nvidia-debugdump
 podrzędne x86_64-linux-gnu_nvidia-smi.1.gz: /usr/share/man/man1/alt-nvidia-346-smi.1.gz
 podrzędne x86_64-linux-gnu_nvidia_app_profile: /usr/share/nvidia-346/nvidia-application-profiles-346.72-rc
 podrzędne x86_64-linux-gnu_nvidia_app_profile_keys: /usr/share/nvidia-346/nvidia-application-profiles-346.72-key-documentation
 podrzędne x86_64-linux-gnu_nvidia_bug_report: /usr/lib/nvidia-346/bin/nvidia-bug-report.sh
 podrzędne x86_64-linux-gnu_nvidia_modconf: /lib/nvidia-346/modprobe.conf
 podrzędne x86_64-linux-gnu_nvidia_smi: /usr/lib/nvidia-346/bin/nvidia-smi
 podrzędne x86_64-linux-gnu_nvidia_xconfig: /usr/lib/nvidia-346/bin/nvidia-xconfig
/usr/lib/nvidia-346/ld.so.conf - priorytet 8604
 podrzędne x86_64-linux-gnu_grub_fb_blacklist: /usr/share/nvidia-346/nvidia-346.grub-gfxpayload
 podrzędne x86_64-linux-gnu_libvdpau_nvidia.so: /usr/lib/nvidia-346/vdpau/libvdpau_nvidia.so
 podrzędne x86_64-linux-gnu_libvdpau_nvidia.so.1: /usr/lib/nvidia-346/vdpau/libvdpau_nvidia.so.1
 podrzędne x86_64-linux-gnu_libvdpau_nvidia.so.1_lib32: /usr/lib32/nvidia-346/vdpau/libvdpau_nvidia.so.1
 podrzędne x86_64-linux-gnu_libvdpau_nvidia.so_lib32: /usr/lib32/nvidia-346/vdpau/libvdpau_nvidia.so
 podrzędne x86_64-linux-gnu_man_nvidiaxconfig.gz: /usr/share/man/man1/alt-nvidia-346-xconfig.1.gz
 podrzędne x86_64-linux-gnu_man_persistenced.gz: /usr/share/man/man1/alt-nvidia-346-persistenced.1.gz
 podrzędne x86_64-linux-gnu_nvidia-cuda-mps-control: /usr/lib/nvidia-346/bin/nvidia-cuda-mps-control
 podrzędne x86_64-linux-gnu_nvidia-cuda-mps-control.1.gz: /usr/share/man/man1/alt-nvidia-346-cuda-mps-control.1.gz
 podrzędne x86_64-linux-gnu_nvidia-cuda-mps-server: /usr/lib/nvidia-346/bin/nvidia-cuda-mps-server
 podrzędne x86_64-linux-gnu_nvidia-debugdump: /usr/lib/nvidia-346/bin/nvidia-debugdump
 podrzędne x86_64-linux-gnu_nvidia-smi.1.gz: /usr/share/man/man1/alt-nvidia-346-smi.1.gz
 podrzędne x86_64-linux-gnu_nvidia_app_profile: /usr/share/nvidia-346/nvidia-application-profiles-346.72-rc
 podrzędne x86_64-linux-gnu_nvidia_app_profile_keys: /usr/share/nvidia-346/nvidia-application-profiles-346.72-key-documentation
 podrzędne x86_64-linux-gnu_nvidia_bug_report: /usr/lib/nvidia-346/bin/nvidia-bug-report.sh
 podrzędne x86_64-linux-gnu_nvidia_drv: /usr/lib/nvidia-346/xorg/nvidia_drv....

Read more...

Mike (michal-dybczak) wrote :

This topic seems to be discussing various solutions to this problem and some users had success but frankly I don't fully understand what they are saying so I'm not sure what to do (I'm newbie in linux):

http://askubuntu.com/questions/451335/cant-switch-anymore-from-intel-to-nvidia-gpu

Alberto Milone (albertomilone) wrote :

@Mike: the system doesn't seem to be configured properly. You appear to be using mesa, whereas only nvidia or nvidia-prime alternatives are supported. If you attach the following files after reproducing the problem, maybe I can help:

1) /var/log/gpu-manager.log
2) /var/log/Xorg.0.log
3) /var/log/Xorg.0.log.old
4) the dmesg output

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers